liblablgtk2-gnome-ocaml_2.16.0+dfsg-1_amd64.deb


Advertisement

Description

liblablgtk2-gnome-ocaml - runtime libraries for OCaml bindings to GNOME

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name liblablgtk2-gnome-ocaml
Package version 2.16.0+dfsg
Package release 1
Package architecture amd64
Package type deb
Installed size 375 B
Download size 87.64 KB
Official Mirror ftp.br.debian.org
lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
This package include only the dynamic libraries needed for running
dynamic bytecode executables using GNOME functionalities (gnomeui,
gnome-canvas, rsvg).

Alternatives

Package Version Architecture Repository
liblablgtk2-gnome-ocaml_2.16.0+dfsg-1_i386.deb 2.16.0+dfsg i386 Debian Main
liblablgtk2-gnome-ocaml - - -

Requires

Name Value
gconf-service -
libart-2.0-2 >= 2.3.17
libatk1.0-0 >= 1.12.4
libbonobo2-0 >= 2.32.1-3~
libbonoboui2-0 >= 2.15.1
libc6 >= 2.14
libcairo2 >= 1.2.4
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgconf-2-4 >= 3.2.5
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgnome2-0 >= 2.17.3
libgnomecanvas2-0 >= 2.11.1
libgnomeui-0 >= 2.22.0
libgnomevfs2-0 >= 1:2.17.90
libgtk2.0-0 >= 2.8.0
libice6 >= 1:1.0.0
liblablgtk2-ocaml-fwbz8 -
liborbit-2-0 >= 1:2.14.10
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libpopt0 >= 1.14
librsvg2-2 >= 2.14.4
libsm6 -
ocaml-base-nox-4.01.0 -

Provides

Name Value
liblablgtk2-gnome-ocaml-qf5i2 -

Download

Type URL
Binary Package liblablgtk2-gnome-ocaml_2.16.0+dfsg-1_amd64.deb
Source Package lablgtk2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblablgtk2-gnome-ocaml deb package:
    # sudo apt-get install liblablgtk2-gnome-ocaml

Files

Path
/usr/lib/ocaml/METAS/META.lablgtk2-gnome
/usr/lib/ocaml/lablgtk2/lablgnomecanvas.cma
/usr/lib/ocaml/lablgtk2/lablgnomecanvas.cmxs
/usr/lib/ocaml/lablgtk2/lablgnomeui.cma
/usr/lib/ocaml/lablgtk2/lablgnomeui.cmxs
/usr/lib/ocaml/lablgtk2/lablrsvg.cma
/usr/lib/ocaml/lablgtk2/lablrsvg.cmxs
/usr/lib/ocaml/stublibs/dlllablgnomecanvas.so
/usr/lib/ocaml/stublibs/dlllablgnomeui.so
/usr/lib/ocaml/stublibs/dlllablrsvg.so
/usr/share/doc/liblablgtk2-gnome-ocaml/README.gz
/usr/share/doc/liblablgtk2-gnome-ocaml/changelog.Debian.gz
/usr/share/doc/liblablgtk2-gnome-ocaml/changelog.gz
/usr/share/doc/liblablgtk2-gnome-ocaml/copyright

Changelog

2013-12-03 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1) unstable; urgency=low
* Upload to unstable
2013-07-26 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1~exp3) experimental; urgency=low
* Fix installation of META files
* Respect upstream convention for lablgtk2.sourceview2
2013-07-26 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1~exp2) experimental; urgency=low
* Update version in META files
2013-05-12 - Lifeng Sun <lifongsun@gmail.com>
lablgtk2 (2.16.0+dfsg-1~exp1) experimental; urgency=low
[ Lifeng Sun ]
* Team upload.
* New upstream release.
* Build depends on ocaml-findlib.
* Switch debian/copyright to Machine readable format.
* Bump debhelper compat level to 9.
* debian/control:
- Bump Standards-Version to 3.9.4.
- Update Homepage.
- Build depends on ocaml-findlib.
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders
2012-06-12 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.14.2+dfsg-3) unstable; urgency=low
* Update version in META files (Closes: #673835)
* Bump Standards-Version to 3.9.3
2011-08-17 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.14.2+dfsg-2) unstable; urgency=low
* Remove gnome-panel support (Closes: #638133)
* Remove duplicate changelog from liblablgtk2-ocaml
* Bump Standards-Version to 3.9.2 (no changes)
2011-02-19 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.14.2+dfsg-1) unstable; urgency=low
* New upstream release (Closes: #585455)
- remove Patch-to-build-with-GtkSourceView-2.0 (applied upstream)
* debian/control:
- remove Stefano from Uploaders
- bump build-dependency to libgtksourceview2.0-dev
- bump Standards-Version to 3.9.1
* Bump debhelper compat level to 8
* Switch source package format to 3.0 (quilt)
2009-11-29 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.14.0+dfsg-2) unstable; urgency=low
* Upload to unstable
* Make liblablgtksourceview2-* replace/conflict with previous version
2009-10-23 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.14.0+dfsg-1) experimental; urgency=low
* New upstream release:
- replace libgtksourceview by libgtksourceview2 everywhere
(Closes: #532905)
- debian/patches:
+ remove Add-libgnomeui-header.patch
+ add Patch-to-build-with-GtkSourceView-2.0.patch
- remove "applications" from upstream sources because of licensing
issues (see README.source), adapt version number and debian/watch
2009-09-29 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.12.0-4) unstable; urgency=low
* Big packaging update:
- use new dh-ocaml
- switch debian/rules to dh
- update versioned build-dependencies accordingly
- remove Lintian overrides
- move all generated documentation to a new binary package
liblablgtk2-ocaml-doc
* Update my e-mail address, remove DMUA, remove Sven from Uploaders
* Add README.source
* Update Standards-Version to 3.8.3

See Also

Package Description
liblablgtk2-ocaml-dev_2.16.0+dfsg-1_amd64.deb OCaml bindings to Gtk+ version 2
liblablgtk2-ocaml-doc_2.16.0+dfsg-1_all.deb OCaml bindings to Gtk+ version 2 (documentation)
liblablgtk2-ocaml_2.16.0+dfsg-1_amd64.deb runtime libraries for OCaml bindings for GTK+ version 2
liblablgtkmathview-ocaml-dev_0.7.8-6+b3_amd64.deb OCaml bindings for libgtkmathview, a GTK widget to render MathML
liblablgtkmathview-ocaml_0.7.8-6+b3_amd64.deb OCaml bindings for libgtkmathview (runtime)
liblablgtksourceview2-ocaml-dev_2.16.0+dfsg-1_amd64.deb OCaml bindings for libgtksourceview2, a source editor GTK+ widget
liblablgtksourceview2-ocaml_2.16.0+dfsg-1_amd64.deb OCaml bindings for libgtksourceview2 (runtime)
libladr-dev_0.0.200911a-2.1_amd64.deb the LADR deduction library, development files
libladr4_0.0.200911a-2.1_amd64.deb the LADR deduction library
libladspa-ocaml-dev_0.1.4-1+b2_amd64.deb OCaml bindings for LADSPA -- developpement files
libladspa-ocaml_0.1.4-1+b2_amd64.deb OCaml bindings for LADSPA -- runtime files
liblaf-plugin-java_1.0-2_all.deb support for third-party components in Java look-and-feel libraries
liblaf-widget-java-doc_4.3-2_all.deb Java widget toolbox for look-and-feel libraries - documentation
liblaf-widget-java_4.3-2_all.deb Java widget toolbox for other look-and-feel libraries
liblam4_7.1.4-3.1_amd64.deb Shared libraries used by LAM parallel programs
Advertisement
Advertisement